> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment methods



## OpenAPI

````yaml /swagger.yaml get /team/payment_methods
openapi: 3.1.0
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
tags:
  - name: Webhooks
    description: Webhook event notifications
paths:
  /team/payment_methods:
    get:
      tags:
        - Payment Method
      summary: List payment methods
      operationId: payment_methods#list
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
            minimum: 1
          required: false
        - name: per_page
          in: query
          schema:
            type: integer
            default: 50
            maximum: 100
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                ok:
                  $ref: '#/components/examples/paymentMethodsList'
        '401':
          description: Unauthorized
          content:
            application/json:
              examples:
                unauthorized:
                  $ref: '#/components/examples/responseBodyErrorUnauthorized'
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Forbidden
          content:
            application/json:
              examples:
                forbidden:
                  $ref: '#/components/examples/responseBodyErrorForbidden'
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  examples:
    paymentMethodsList:
      summary: OK
      value:
        - id: 1
          status: enabled
          payment_method_type_id: 1
          payment_method_type_name: Credit Card
          payment_details:
            last4: '4242'
          team_id: 1
        - id: 2
          status: enabled
          payment_method_type_id: 2
          payment_method_type_name: Wire Transfer
          payment_details: {}
          team_id: 1
    responseBodyErrorUnauthorized:
      value:
        error: Unauthorized
    responseBodyErrorForbidden:
      value:
        error: Forbidden
  schemas:
    error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````